import { useEffect } from "react";
import { useAppContext } from "../context";
import Login from "../components/top-level/login";

export function LoginPage() {
  const { loginOrRegister } = useAppContext();
  useEffect(() => {
    sessionStorage.clear();
  }, []);

  const handleLogin = async ({ mobile }) => {
    await loginOrRegister({ mobile });
  };
  return <Login onSubmit={handleLogin} />;
}
