import Confirmation from "../components/top-level/confirmation";
import { useNavigate } from "react-router-dom";
import { useAppContext } from "../context";
import { useLocation } from "react-router-dom";

export function ConfirmationPage() {
  let { getAllReservedSeats } = useAppContext();
  const navigate = useNavigate();
  const location = useLocation();
  const handleModify = async (e) => {
    e.preventDefault();
    await getAllReservedSeats();
    navigate("/booking");
  };

  return (
    <Confirmation
      seatCount={location?.state?.seats?.length}
      seats={location?.state?.seats}
      onEdit={handleModify}
    />
  );
}
